# Composition $convert-to-cda

`POST /Composition/$convert-to-cda`

This resource can be used to convert data between Clinical Document Architecture (CDA) and FHIR. Use the general `$convert` operation to translate to FHIR, and use the specific `$convert-to-cda` for translating to CDA. [Learn about translating between FHIR and CDA](https://docs.redoxengine.com/permalink/k4D3k1pRQYf2Qca46BP31). 

> **Supported fields and schema examples**
>
> We support any valid FHIR field. However, we only display fields we’ve defined in our schema, which are usually based on what’s included in the U.S. Core profile. We recommend relying on U.S. Core requirements. 
>
> Our schema examples show the shape and possibility of each FHIR resource; they aren’t code for real-time API calls. We don’t currently recommend copying and pasting these schema examples for your API calls. [Consider reviewing FHIR API actions](/fhir-api-actions) for realistic examples for particular use cases.

### $convert-to-cda

Translate FHIR bundles to CDA entries.

## Request body

A Document bundle containing a FHIR representation of a CDA document. The first resource, Composition, contains the glue that ties all the other clinical resources together.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `resourceType` | string | Yes | Identifies the type of the resource. Value: Bundle |
| `type` | string | Yes | Indicates the purpose of this bundle - how it is intended to be used. Value: document |
| `entry` | Array of Composition or Patient or AllergyIntolerance or Condition or DiagnosticReport or Encounter or Immunization or Location or MedicationAdministration or MedicationRequest or MedicationStatement or Observation or Organization or Practitioner or PractitionerRole or Procedure or RelatedPerson or ServiceRequest or Specimen or Other | Yes | Contains the overall Composition resource and all other resources associated with it |
| `entry[] (Composition).resource` | object | Yes | The main clinical document from which all bundle resources are referenced |
| `entry[] (Composition).resource.resourceType` | string | Yes | Identifies the type of the resource. Value: Composition |
| `entry[] (Composition).resource.language` | string | Yes | The base language in which the resource is written. |
| `entry[] (Composition).resource.identifier` | object | Yes | A version-independent identifier for the Composition. This identifier stays constant as the composition is changed over time. |
| `entry[] (Composition).resource.identifier.system` | string | No | Establishes the namespace for the value - that is, a URL that describes a set values that are unique. |
| `entry[] (Composition).resource.identifier.value` | string | No | The portion of the identifier typically relevant to the user and which is unique within the context of the system. |
| `entry[] (Composition).resource.status` | string | Yes | The workflow/clinical status of this composition. The status is a marker for the clinical standing of the document. Possible values: preliminary, final, amended, entered-in-error |
| `entry[] (Composition).resource.type` | object | Yes | Specifies the particular kind of composition (e.g. History and Physical, Discharge Summary, Progress Note). This usually equates to the purpose of making the composition. |
| `entry[] (Composition).resource.type.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Composition).resource.type.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Composition).resource.type.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Composition).resource.type.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Composition).resource.subject` | object | Yes | Who or what the composition is about. The composition can be about a person, (patient or healthcare practitioner), a device (e.g. a machine) or even a group of subjects (such as a document about a herd of livestock, or a set of patients that share a common exposure). Must be a resource of type `Patient`. |
| `entry[] (Composition).resource.subject.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Composition).resource.date` | string | Yes | The composition editing time, when the composition was last logically changed by the author. |
| `entry[] (Composition).resource.author` | Array of object | Yes | Identifies who is responsible for the information in the composition, not necessarily who typed it in. Must reference one of the following types of resources: - `Practitioner` - `PractitionerRole` |
| `entry[] (Composition).resource.author[].extension` | Array of DataAbsentReason or Other | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (Composition).resource.author[].extension[] (DataAbsentReason).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: http://hl7.org/fhir/StructureDefinition/data-absent-reason |
| `entry[] (Composition).resource.author[].extension[] (DataAbsentReason).valueCode` | string | Yes | The reason a required field is missing. Possible values: unknown, asked-unknown, temp-unknown, not-asked, asked-declined, masked, not-applicable, unsupported, as-text, error, not-a-number, negative-infinity, positive-infinity, not-performed, not-permitted |
| `entry[] (Composition).resource.author[].extension[] (Other)` | Boolean or String or CodeableConcept or Coding or HumanName or Reference | No |  |
| `entry[] (Composition).resource.author[].extension[] (Other) (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.author[].extension[] (Other) (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (Composition).resource.author[].extension[] (Other) (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.author[].extension[] (Other) (String).valueString` | string | No | A single value for the extension. |
| `entry[] (Composition).resource.author[].extension[] (Other) (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.author[].extension[] (Other) (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (Composition).resource.author[].extension[] (Other) (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Composition).resource.author[].extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Composition).resource.author[].extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Composition).resource.author[].extension[] (Other) (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Composition).resource.author[].extension[] (Other) (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.author[].extension[] (Other) (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (Composition).resource.author[].extension[] (Other) (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Composition).resource.author[].extension[] (Other) (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Composition).resource.author[].extension[] (Other) (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.author[].extension[] (Other) (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (Composition).resource.author[].extension[] (Other) (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (Composition).resource.author[].extension[] (Other) (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (Composition).resource.author[].extension[] (Other) (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (Composition).resource.author[].extension[] (Other) (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.author[].extension[] (Other) (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (Composition).resource.author[].extension[] (Other) (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Composition).resource.author[].reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Composition).resource.title` | string | Yes | Official human-readable label for the composition. |
| `entry[] (Composition).resource.custodian` | object | Yes | Identifies the organization or group who is responsible for ongoing maintenance of and access to the composition/document information. Must be a resource of type `Organization`. |
| `entry[] (Composition).resource.custodian.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Composition).resource.event` | Array of object | Yes | event is unsupported, but required by FHIR. |
| `entry[] (Composition).resource.event[].extension` | Array of object | No | Identifies this field as unsupported |
| `entry[] (Composition).resource.event[].extension[].url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: http://hl7.org/fhir/StructureDefinition/data-absent-reason |
| `entry[] (Composition).resource.event[].extension[].valueCode` | string | Yes | The reason a required field is missing. Value: unsupported |
| `entry[] (Composition).resource.section` | Array of Allergies or Encounters or Immunizations or Medications or PlanOfTreatment or Problems or Procedures or Results or SocialHistory or VitalSigns or Other | Yes | The root of the sections that make up the composition. |
| `entry[] (Composition).resource.section[] (Allergies).title` | string | Yes | Human-readable name of section, e.g. `Allergies` |
| `entry[] (Composition).resource.section[] (Allergies).code` | object | Yes | LOINC code of `48765-2` programmatically identifying section as Allergies |
| `entry[] (Composition).resource.section[] (Allergies).code.coding` | Array of object | Yes | A discrete code |
| `entry[] (Composition).resource.section[] (Allergies).code.coding[].system` | string | Yes | http://loinc.org. Value: http://loinc.org |
| `entry[] (Composition).resource.section[] (Allergies).code.coding[].code` | string | Yes | Identifies the section as Allergies. Value: 48765-2 |
| `entry[] (Composition).resource.section[] (Allergies).text` | object | No | A human-readable narrative that contains the attested content of the section, used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. |
| `entry[] (Composition).resource.section[] (Allergies).text.status` | string | Yes | The status of the narrative - whether it's entirely generated (from just the defined data or the extensions too), or whether a human authored it and it may contain additional data. Possible values: generated, extensions, additional, empty |
| `entry[] (Composition).resource.section[] (Allergies).text._status` | object | Yes | This element contains extensions for `status`. Depending on the extensions present it could be used in place of `status` or contain additional information about `status`. See the `extension` element for more details on the possible extensions being sent. |
| `entry[] (Composition).resource.section[] (Allergies).text._status.extension` | Array of DataAbsentReason or Other | No | May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (Composition).resource.section[] (Allergies).text._status.extension[] (DataAbsentReason).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: http://hl7.org/fhir/StructureDefinition/data-absent-reason |
| `entry[] (Composition).resource.section[] (Allergies).text._status.extension[] (DataAbsentReason).valueCode` | string | Yes | The reason a required field is missing. Possible values: unknown, asked-unknown, temp-unknown, not-asked, asked-declined, masked, not-applicable, unsupported, as-text, error, not-a-number, negative-infinity, positive-infinity, not-performed, not-permitted |
| `entry[] (Composition).resource.section[] (Allergies).text._status.extension[] (Other)` | Boolean or String or CodeableConcept or Coding or HumanName or Reference | No |  |
| `entry[] (Composition).resource.section[] (Allergies).text._status.extension[] (Other) (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (Allergies).text._status.extension[] (Other) (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (Allergies).text._status.extension[] (Other) (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (Allergies).text._status.extension[] (Other) (String).valueString` | string | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (Allergies).text._status.extension[] (Other) (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (Allergies).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (Allergies).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Composition).resource.section[] (Allergies).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Composition).resource.section[] (Allergies).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Composition).resource.section[] (Allergies).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Composition).resource.section[] (Allergies).text._status.extension[] (Other) (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (Allergies).text._status.extension[] (Other) (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (Allergies).text._status.extension[] (Other) (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Composition).resource.section[] (Allergies).text._status.extension[] (Other) (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Composition).resource.section[] (Allergies).text._status.extension[] (Other) (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (Allergies).text._status.extension[] (Other) (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (Allergies).text._status.extension[] (Other) (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (Composition).resource.section[] (Allergies).text._status.extension[] (Other) (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (Composition).resource.section[] (Allergies).text._status.extension[] (Other) (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (Composition).resource.section[] (Allergies).text._status.extension[] (Other) (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (Allergies).text._status.extension[] (Other) (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (Allergies).text._status.extension[] (Other) (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Composition).resource.section[] (Allergies).text.div` | any | Yes | The actual narrative content, a stripped down version of XHTML. |
| `entry[] (Composition).resource.section[] (Allergies).entry` | Array of object | No | A reference to a discrete resource for the section Must be a resource of type `AllergyIntolerance`. |
| `entry[] (Composition).resource.section[] (Allergies).entry[].reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Composition).resource.section[] (Encounters).title` | string | Yes | Human-readable name of section, e.g. `Encounters` |
| `entry[] (Composition).resource.section[] (Encounters).code` | object | Yes | LOINC code of `46240-8` programmatically identifying section as Encounters |
| `entry[] (Composition).resource.section[] (Encounters).code.coding` | Array of object | Yes | A discrete code |
| `entry[] (Composition).resource.section[] (Encounters).code.coding[].system` | string | Yes | http://loinc.org. Value: http://loinc.org |
| `entry[] (Composition).resource.section[] (Encounters).code.coding[].code` | string | Yes | Identifies the section as Encounters. Value: 46240-8 |
| `entry[] (Composition).resource.section[] (Encounters).text` | object | No | A human-readable narrative that contains the attested content of the section, used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. |
| `entry[] (Composition).resource.section[] (Encounters).text.status` | string | Yes | The status of the narrative - whether it's entirely generated (from just the defined data or the extensions too), or whether a human authored it and it may contain additional data. Possible values: generated, extensions, additional, empty |
| `entry[] (Composition).resource.section[] (Encounters).text._status` | object | Yes | This element contains extensions for `status`. Depending on the extensions present it could be used in place of `status` or contain additional information about `status`. See the `extension` element for more details on the possible extensions being sent. |
| `entry[] (Composition).resource.section[] (Encounters).text._status.extension` | Array of DataAbsentReason or Other | No | May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (Composition).resource.section[] (Encounters).text._status.extension[] (DataAbsentReason).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: http://hl7.org/fhir/StructureDefinition/data-absent-reason |
| `entry[] (Composition).resource.section[] (Encounters).text._status.extension[] (DataAbsentReason).valueCode` | string | Yes | The reason a required field is missing. Possible values: unknown, asked-unknown, temp-unknown, not-asked, asked-declined, masked, not-applicable, unsupported, as-text, error, not-a-number, negative-infinity, positive-infinity, not-performed, not-permitted |
| `entry[] (Composition).resource.section[] (Encounters).text._status.extension[] (Other)` | Boolean or String or CodeableConcept or Coding or HumanName or Reference | No |  |
| `entry[] (Composition).resource.section[] (Encounters).text._status.extension[] (Other) (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (Encounters).text._status.extension[] (Other) (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (Encounters).text._status.extension[] (Other) (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (Encounters).text._status.extension[] (Other) (String).valueString` | string | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (Encounters).text._status.extension[] (Other) (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (Encounters).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (Encounters).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Composition).resource.section[] (Encounters).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Composition).resource.section[] (Encounters).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Composition).resource.section[] (Encounters).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Composition).resource.section[] (Encounters).text._status.extension[] (Other) (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (Encounters).text._status.extension[] (Other) (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (Encounters).text._status.extension[] (Other) (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Composition).resource.section[] (Encounters).text._status.extension[] (Other) (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Composition).resource.section[] (Encounters).text._status.extension[] (Other) (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (Encounters).text._status.extension[] (Other) (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (Encounters).text._status.extension[] (Other) (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (Composition).resource.section[] (Encounters).text._status.extension[] (Other) (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (Composition).resource.section[] (Encounters).text._status.extension[] (Other) (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (Composition).resource.section[] (Encounters).text._status.extension[] (Other) (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (Encounters).text._status.extension[] (Other) (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (Encounters).text._status.extension[] (Other) (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Composition).resource.section[] (Encounters).text.div` | any | Yes | The actual narrative content, a stripped down version of XHTML. |
| `entry[] (Composition).resource.section[] (Encounters).entry` | Array of object | No | A reference to a discrete resource for the section Must be a resource of type `Encounter`. |
| `entry[] (Composition).resource.section[] (Encounters).entry[].reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Composition).resource.section[] (Immunizations).title` | string | Yes | Human-readable name of section, e.g. `Immunizations` |
| `entry[] (Composition).resource.section[] (Immunizations).code` | object | Yes | LOINC code of `11369-6` programmatically identifying section as Immunizations |
| `entry[] (Composition).resource.section[] (Immunizations).code.coding` | Array of object | Yes | A discrete code |
| `entry[] (Composition).resource.section[] (Immunizations).code.coding[].system` | string | Yes | http://loinc.org. Value: http://loinc.org |
| `entry[] (Composition).resource.section[] (Immunizations).code.coding[].code` | string | Yes | Identifies the section as Immunizations. Value: 11369-6 |
| `entry[] (Composition).resource.section[] (Immunizations).text` | object | No | A human-readable narrative that contains the attested content of the section, used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. |
| `entry[] (Composition).resource.section[] (Immunizations).text.status` | string | Yes | The status of the narrative - whether it's entirely generated (from just the defined data or the extensions too), or whether a human authored it and it may contain additional data. Possible values: generated, extensions, additional, empty |
| `entry[] (Composition).resource.section[] (Immunizations).text._status` | object | Yes | This element contains extensions for `status`. Depending on the extensions present it could be used in place of `status` or contain additional information about `status`. See the `extension` element for more details on the possible extensions being sent. |
| `entry[] (Composition).resource.section[] (Immunizations).text._status.extension` | Array of DataAbsentReason or Other | No | May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (Composition).resource.section[] (Immunizations).text._status.extension[] (DataAbsentReason).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: http://hl7.org/fhir/StructureDefinition/data-absent-reason |
| `entry[] (Composition).resource.section[] (Immunizations).text._status.extension[] (DataAbsentReason).valueCode` | string | Yes | The reason a required field is missing. Possible values: unknown, asked-unknown, temp-unknown, not-asked, asked-declined, masked, not-applicable, unsupported, as-text, error, not-a-number, negative-infinity, positive-infinity, not-performed, not-permitted |
| `entry[] (Composition).resource.section[] (Immunizations).text._status.extension[] (Other)` | Boolean or String or CodeableConcept or Coding or HumanName or Reference | No |  |
| `entry[] (Composition).resource.section[] (Immunizations).text._status.extension[] (Other) (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (Immunizations).text._status.extension[] (Other) (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (Immunizations).text._status.extension[] (Other) (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (Immunizations).text._status.extension[] (Other) (String).valueString` | string | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (Immunizations).text._status.extension[] (Other) (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (Immunizations).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (Immunizations).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Composition).resource.section[] (Immunizations).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Composition).resource.section[] (Immunizations).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Composition).resource.section[] (Immunizations).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Composition).resource.section[] (Immunizations).text._status.extension[] (Other) (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (Immunizations).text._status.extension[] (Other) (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (Immunizations).text._status.extension[] (Other) (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Composition).resource.section[] (Immunizations).text._status.extension[] (Other) (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Composition).resource.section[] (Immunizations).text._status.extension[] (Other) (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (Immunizations).text._status.extension[] (Other) (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (Immunizations).text._status.extension[] (Other) (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (Composition).resource.section[] (Immunizations).text._status.extension[] (Other) (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (Composition).resource.section[] (Immunizations).text._status.extension[] (Other) (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (Composition).resource.section[] (Immunizations).text._status.extension[] (Other) (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (Immunizations).text._status.extension[] (Other) (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (Immunizations).text._status.extension[] (Other) (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Composition).resource.section[] (Immunizations).text.div` | any | Yes | The actual narrative content, a stripped down version of XHTML. |
| `entry[] (Composition).resource.section[] (Immunizations).entry` | Array of object | No | A reference to a discrete resource for the section Must be a resource of type `Immunization`. |
| `entry[] (Composition).resource.section[] (Immunizations).entry[].reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Composition).resource.section[] (Medications).title` | string | Yes | Human-readable name of section, e.g. `Medications` |
| `entry[] (Composition).resource.section[] (Medications).code` | object | Yes | LOINC code of `10160-0` programmatically identifying section as Medications |
| `entry[] (Composition).resource.section[] (Medications).code.coding` | Array of object | Yes | A discrete code |
| `entry[] (Composition).resource.section[] (Medications).code.coding[].system` | string | Yes | http://loinc.org. Value: http://loinc.org |
| `entry[] (Composition).resource.section[] (Medications).code.coding[].code` | string | Yes | Identifies the section as Medications. Value: 10160-0 |
| `entry[] (Composition).resource.section[] (Medications).text` | object | No | A human-readable narrative that contains the attested content of the section, used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. |
| `entry[] (Composition).resource.section[] (Medications).text.status` | string | Yes | The status of the narrative - whether it's entirely generated (from just the defined data or the extensions too), or whether a human authored it and it may contain additional data. Possible values: generated, extensions, additional, empty |
| `entry[] (Composition).resource.section[] (Medications).text._status` | object | Yes | This element contains extensions for `status`. Depending on the extensions present it could be used in place of `status` or contain additional information about `status`. See the `extension` element for more details on the possible extensions being sent. |
| `entry[] (Composition).resource.section[] (Medications).text._status.extension` | Array of DataAbsentReason or Other | No | May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (Composition).resource.section[] (Medications).text._status.extension[] (DataAbsentReason).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: http://hl7.org/fhir/StructureDefinition/data-absent-reason |
| `entry[] (Composition).resource.section[] (Medications).text._status.extension[] (DataAbsentReason).valueCode` | string | Yes | The reason a required field is missing. Possible values: unknown, asked-unknown, temp-unknown, not-asked, asked-declined, masked, not-applicable, unsupported, as-text, error, not-a-number, negative-infinity, positive-infinity, not-performed, not-permitted |
| `entry[] (Composition).resource.section[] (Medications).text._status.extension[] (Other)` | Boolean or String or CodeableConcept or Coding or HumanName or Reference | No |  |
| `entry[] (Composition).resource.section[] (Medications).text._status.extension[] (Other) (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (Medications).text._status.extension[] (Other) (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (Medications).text._status.extension[] (Other) (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (Medications).text._status.extension[] (Other) (String).valueString` | string | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (Medications).text._status.extension[] (Other) (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (Medications).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (Medications).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Composition).resource.section[] (Medications).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Composition).resource.section[] (Medications).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Composition).resource.section[] (Medications).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Composition).resource.section[] (Medications).text._status.extension[] (Other) (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (Medications).text._status.extension[] (Other) (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (Medications).text._status.extension[] (Other) (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Composition).resource.section[] (Medications).text._status.extension[] (Other) (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Composition).resource.section[] (Medications).text._status.extension[] (Other) (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (Medications).text._status.extension[] (Other) (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (Medications).text._status.extension[] (Other) (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (Composition).resource.section[] (Medications).text._status.extension[] (Other) (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (Composition).resource.section[] (Medications).text._status.extension[] (Other) (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (Composition).resource.section[] (Medications).text._status.extension[] (Other) (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (Medications).text._status.extension[] (Other) (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (Medications).text._status.extension[] (Other) (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Composition).resource.section[] (Medications).text.div` | any | Yes | The actual narrative content, a stripped down version of XHTML. |
| `entry[] (Composition).resource.section[] (Medications).entry` | Array of object | No | A reference to a discrete resource for the section Must reference one of the following types of resources: - `MedicationRequest` - `MedicationStatement` |
| `entry[] (Composition).resource.section[] (Medications).entry[].reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Composition).resource.section[] (PlanOfTreatment).title` | string | Yes | Human-readable name of section, e.g. `Plan of Treatment` |
| `entry[] (Composition).resource.section[] (PlanOfTreatment).code` | object | Yes | LOINC code of `18776-5` programmatically identifying section as Plan of Treatment |
| `entry[] (Composition).resource.section[] (PlanOfTreatment).code.coding` | Array of object | Yes | A discrete code |
| `entry[] (Composition).resource.section[] (PlanOfTreatment).code.coding[].system` | string | Yes | http://loinc.org. Value: http://loinc.org |
| `entry[] (Composition).resource.section[] (PlanOfTreatment).code.coding[].code` | string | Yes | Identifies the section as Plan of Treatment. Value: 18776-5 |
| `entry[] (Composition).resource.section[] (PlanOfTreatment).text` | object | No | A human-readable narrative that contains the attested content of the section, used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. |
| `entry[] (Composition).resource.section[] (PlanOfTreatment).text.status` | string | Yes | The status of the narrative - whether it's entirely generated (from just the defined data or the extensions too), or whether a human authored it and it may contain additional data. Possible values: generated, extensions, additional, empty |
| `entry[] (Composition).resource.section[] (PlanOfTreatment).text._status` | object | Yes | This element contains extensions for `status`. Depending on the extensions present it could be used in place of `status` or contain additional information about `status`. See the `extension` element for more details on the possible extensions being sent. |
| `entry[] (Composition).resource.section[] (PlanOfTreatment).text._status.extension` | Array of DataAbsentReason or Other | No | May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (Composition).resource.section[] (PlanOfTreatment).text._status.extension[] (DataAbsentReason).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: http://hl7.org/fhir/StructureDefinition/data-absent-reason |
| `entry[] (Composition).resource.section[] (PlanOfTreatment).text._status.extension[] (DataAbsentReason).valueCode` | string | Yes | The reason a required field is missing. Possible values: unknown, asked-unknown, temp-unknown, not-asked, asked-declined, masked, not-applicable, unsupported, as-text, error, not-a-number, negative-infinity, positive-infinity, not-performed, not-permitted |
| `entry[] (Composition).resource.section[] (PlanOfTreatment).text._status.extension[] (Other)` | Boolean or String or CodeableConcept or Coding or HumanName or Reference | No |  |
| `entry[] (Composition).resource.section[] (PlanOfTreatment).text._status.extension[] (Other) (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (PlanOfTreatment).text._status.extension[] (Other) (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (PlanOfTreatment).text._status.extension[] (Other) (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (PlanOfTreatment).text._status.extension[] (Other) (String).valueString` | string | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (PlanOfTreatment).text._status.extension[] (Other) (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (PlanOfTreatment).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (PlanOfTreatment).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Composition).resource.section[] (PlanOfTreatment).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Composition).resource.section[] (PlanOfTreatment).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Composition).resource.section[] (PlanOfTreatment).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Composition).resource.section[] (PlanOfTreatment).text._status.extension[] (Other) (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (PlanOfTreatment).text._status.extension[] (Other) (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (PlanOfTreatment).text._status.extension[] (Other) (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Composition).resource.section[] (PlanOfTreatment).text._status.extension[] (Other) (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Composition).resource.section[] (PlanOfTreatment).text._status.extension[] (Other) (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (PlanOfTreatment).text._status.extension[] (Other) (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (PlanOfTreatment).text._status.extension[] (Other) (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (Composition).resource.section[] (PlanOfTreatment).text._status.extension[] (Other) (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (Composition).resource.section[] (PlanOfTreatment).text._status.extension[] (Other) (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (Composition).resource.section[] (PlanOfTreatment).text._status.extension[] (Other) (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (PlanOfTreatment).text._status.extension[] (Other) (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (PlanOfTreatment).text._status.extension[] (Other) (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Composition).resource.section[] (PlanOfTreatment).text.div` | any | Yes | The actual narrative content, a stripped down version of XHTML. |
| `entry[] (Composition).resource.section[] (PlanOfTreatment).entry` | Array of object | No | A reference to a discrete resource for the section Must reference one of the following types of resources: - `ServiceRequest` - `SupplyRequest` - `Appointment` - `MedicationRequest` |
| `entry[] (Composition).resource.section[] (PlanOfTreatment).entry[].reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Composition).resource.section[] (Problems).title` | string | Yes | Human-readable name of section, e.g. `Problems` |
| `entry[] (Composition).resource.section[] (Problems).code` | object | Yes | LOINC code of `11450-4` programmatically identifying section as Problems |
| `entry[] (Composition).resource.section[] (Problems).code.coding` | Array of object | Yes | A discrete code |
| `entry[] (Composition).resource.section[] (Problems).code.coding[].system` | string | Yes | http://loinc.org. Value: http://loinc.org |
| `entry[] (Composition).resource.section[] (Problems).code.coding[].code` | string | Yes | Identifies the section as Problems. Value: 11450-4 |
| `entry[] (Composition).resource.section[] (Problems).text` | object | No | A human-readable narrative that contains the attested content of the section, used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. |
| `entry[] (Composition).resource.section[] (Problems).text.status` | string | Yes | The status of the narrative - whether it's entirely generated (from just the defined data or the extensions too), or whether a human authored it and it may contain additional data. Possible values: generated, extensions, additional, empty |
| `entry[] (Composition).resource.section[] (Problems).text._status` | object | Yes | This element contains extensions for `status`. Depending on the extensions present it could be used in place of `status` or contain additional information about `status`. See the `extension` element for more details on the possible extensions being sent. |
| `entry[] (Composition).resource.section[] (Problems).text._status.extension` | Array of DataAbsentReason or Other | No | May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (Composition).resource.section[] (Problems).text._status.extension[] (DataAbsentReason).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: http://hl7.org/fhir/StructureDefinition/data-absent-reason |
| `entry[] (Composition).resource.section[] (Problems).text._status.extension[] (DataAbsentReason).valueCode` | string | Yes | The reason a required field is missing. Possible values: unknown, asked-unknown, temp-unknown, not-asked, asked-declined, masked, not-applicable, unsupported, as-text, error, not-a-number, negative-infinity, positive-infinity, not-performed, not-permitted |
| `entry[] (Composition).resource.section[] (Problems).text._status.extension[] (Other)` | Boolean or String or CodeableConcept or Coding or HumanName or Reference | No |  |
| `entry[] (Composition).resource.section[] (Problems).text._status.extension[] (Other) (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (Problems).text._status.extension[] (Other) (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (Problems).text._status.extension[] (Other) (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (Problems).text._status.extension[] (Other) (String).valueString` | string | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (Problems).text._status.extension[] (Other) (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (Problems).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (Problems).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Composition).resource.section[] (Problems).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Composition).resource.section[] (Problems).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Composition).resource.section[] (Problems).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Composition).resource.section[] (Problems).text._status.extension[] (Other) (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (Problems).text._status.extension[] (Other) (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (Problems).text._status.extension[] (Other) (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Composition).resource.section[] (Problems).text._status.extension[] (Other) (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Composition).resource.section[] (Problems).text._status.extension[] (Other) (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (Problems).text._status.extension[] (Other) (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (Problems).text._status.extension[] (Other) (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (Composition).resource.section[] (Problems).text._status.extension[] (Other) (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (Composition).resource.section[] (Problems).text._status.extension[] (Other) (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (Composition).resource.section[] (Problems).text._status.extension[] (Other) (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (Problems).text._status.extension[] (Other) (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (Problems).text._status.extension[] (Other) (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Composition).resource.section[] (Problems).text.div` | any | Yes | The actual narrative content, a stripped down version of XHTML. |
| `entry[] (Composition).resource.section[] (Problems).entry` | Array of object | No | A reference to a discrete resource for the section Must be a resource of type `Condition`. |
| `entry[] (Composition).resource.section[] (Problems).entry[].reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Composition).resource.section[] (Procedures).title` | string | Yes | Human-readable name of section, e.g. `Procedures` |
| `entry[] (Composition).resource.section[] (Procedures).code` | object | Yes | LOINC code of `47519-4` programmatically identifying section as Procedures |
| `entry[] (Composition).resource.section[] (Procedures).code.coding` | Array of object | Yes | A discrete code |
| `entry[] (Composition).resource.section[] (Procedures).code.coding[].system` | string | Yes | http://loinc.org. Value: http://loinc.org |
| `entry[] (Composition).resource.section[] (Procedures).code.coding[].code` | string | Yes | Identifies the section as Procedures. Value: 47519-4 |
| `entry[] (Composition).resource.section[] (Procedures).text` | object | No | A human-readable narrative that contains the attested content of the section, used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. |
| `entry[] (Composition).resource.section[] (Procedures).text.status` | string | Yes | The status of the narrative - whether it's entirely generated (from just the defined data or the extensions too), or whether a human authored it and it may contain additional data. Possible values: generated, extensions, additional, empty |
| `entry[] (Composition).resource.section[] (Procedures).text._status` | object | Yes | This element contains extensions for `status`. Depending on the extensions present it could be used in place of `status` or contain additional information about `status`. See the `extension` element for more details on the possible extensions being sent. |
| `entry[] (Composition).resource.section[] (Procedures).text._status.extension` | Array of DataAbsentReason or Other | No | May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (Composition).resource.section[] (Procedures).text._status.extension[] (DataAbsentReason).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: http://hl7.org/fhir/StructureDefinition/data-absent-reason |
| `entry[] (Composition).resource.section[] (Procedures).text._status.extension[] (DataAbsentReason).valueCode` | string | Yes | The reason a required field is missing. Possible values: unknown, asked-unknown, temp-unknown, not-asked, asked-declined, masked, not-applicable, unsupported, as-text, error, not-a-number, negative-infinity, positive-infinity, not-performed, not-permitted |
| `entry[] (Composition).resource.section[] (Procedures).text._status.extension[] (Other)` | Boolean or String or CodeableConcept or Coding or HumanName or Reference | No |  |
| `entry[] (Composition).resource.section[] (Procedures).text._status.extension[] (Other) (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (Procedures).text._status.extension[] (Other) (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (Procedures).text._status.extension[] (Other) (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (Procedures).text._status.extension[] (Other) (String).valueString` | string | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (Procedures).text._status.extension[] (Other) (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (Procedures).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (Procedures).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Composition).resource.section[] (Procedures).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Composition).resource.section[] (Procedures).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Composition).resource.section[] (Procedures).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Composition).resource.section[] (Procedures).text._status.extension[] (Other) (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (Procedures).text._status.extension[] (Other) (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (Procedures).text._status.extension[] (Other) (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Composition).resource.section[] (Procedures).text._status.extension[] (Other) (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Composition).resource.section[] (Procedures).text._status.extension[] (Other) (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (Procedures).text._status.extension[] (Other) (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (Procedures).text._status.extension[] (Other) (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (Composition).resource.section[] (Procedures).text._status.extension[] (Other) (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (Composition).resource.section[] (Procedures).text._status.extension[] (Other) (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (Composition).resource.section[] (Procedures).text._status.extension[] (Other) (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (Procedures).text._status.extension[] (Other) (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (Procedures).text._status.extension[] (Other) (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Composition).resource.section[] (Procedures).text.div` | any | Yes | The actual narrative content, a stripped down version of XHTML. |
| `entry[] (Composition).resource.section[] (Procedures).entry` | Array of object | No | A reference to a discrete resource for the section Must be a resource of type `Procedure`. |
| `entry[] (Composition).resource.section[] (Procedures).entry[].reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Composition).resource.section[] (Results).title` | string | Yes | Human-readable name of section, e.g. `Results` |
| `entry[] (Composition).resource.section[] (Results).code` | object | Yes | LOINC code of `30954-2` programmatically identifying section as Results |
| `entry[] (Composition).resource.section[] (Results).code.coding` | Array of object | Yes | A discrete code |
| `entry[] (Composition).resource.section[] (Results).code.coding[].system` | string | Yes | http://loinc.org. Value: http://loinc.org |
| `entry[] (Composition).resource.section[] (Results).code.coding[].code` | string | Yes | Identifies the section as Results. Value: 30954-2 |
| `entry[] (Composition).resource.section[] (Results).text` | object | No | A human-readable narrative that contains the attested content of the section, used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. |
| `entry[] (Composition).resource.section[] (Results).text.status` | string | Yes | The status of the narrative - whether it's entirely generated (from just the defined data or the extensions too), or whether a human authored it and it may contain additional data. Possible values: generated, extensions, additional, empty |
| `entry[] (Composition).resource.section[] (Results).text._status` | object | Yes | This element contains extensions for `status`. Depending on the extensions present it could be used in place of `status` or contain additional information about `status`. See the `extension` element for more details on the possible extensions being sent. |
| `entry[] (Composition).resource.section[] (Results).text._status.extension` | Array of DataAbsentReason or Other | No | May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (Composition).resource.section[] (Results).text._status.extension[] (DataAbsentReason).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: http://hl7.org/fhir/StructureDefinition/data-absent-reason |
| `entry[] (Composition).resource.section[] (Results).text._status.extension[] (DataAbsentReason).valueCode` | string | Yes | The reason a required field is missing. Possible values: unknown, asked-unknown, temp-unknown, not-asked, asked-declined, masked, not-applicable, unsupported, as-text, error, not-a-number, negative-infinity, positive-infinity, not-performed, not-permitted |
| `entry[] (Composition).resource.section[] (Results).text._status.extension[] (Other)` | Boolean or String or CodeableConcept or Coding or HumanName or Reference | No |  |
| `entry[] (Composition).resource.section[] (Results).text._status.extension[] (Other) (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (Results).text._status.extension[] (Other) (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (Results).text._status.extension[] (Other) (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (Results).text._status.extension[] (Other) (String).valueString` | string | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (Results).text._status.extension[] (Other) (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (Results).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (Results).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Composition).resource.section[] (Results).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Composition).resource.section[] (Results).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Composition).resource.section[] (Results).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Composition).resource.section[] (Results).text._status.extension[] (Other) (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (Results).text._status.extension[] (Other) (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (Results).text._status.extension[] (Other) (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Composition).resource.section[] (Results).text._status.extension[] (Other) (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Composition).resource.section[] (Results).text._status.extension[] (Other) (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (Results).text._status.extension[] (Other) (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (Results).text._status.extension[] (Other) (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (Composition).resource.section[] (Results).text._status.extension[] (Other) (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (Composition).resource.section[] (Results).text._status.extension[] (Other) (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (Composition).resource.section[] (Results).text._status.extension[] (Other) (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (Results).text._status.extension[] (Other) (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (Results).text._status.extension[] (Other) (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Composition).resource.section[] (Results).text.div` | any | Yes | The actual narrative content, a stripped down version of XHTML. |
| `entry[] (Composition).resource.section[] (Results).entry` | Array of object | No | A reference to a discrete resource for the section Must reference one of the following types of resources: - `DiagnosticReport` - `Observation` |
| `entry[] (Composition).resource.section[] (Results).entry[].reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Composition).resource.section[] (SocialHistory).title` | string | Yes | Human-readable name of section, e.g. `Social History` |
| `entry[] (Composition).resource.section[] (SocialHistory).code` | object | Yes | LOINC code of `29762-2` programmatically identifying section as Social History |
| `entry[] (Composition).resource.section[] (SocialHistory).code.coding` | Array of object | Yes | A discrete code |
| `entry[] (Composition).resource.section[] (SocialHistory).code.coding[].system` | string | Yes | http://loinc.org. Value: http://loinc.org |
| `entry[] (Composition).resource.section[] (SocialHistory).code.coding[].code` | string | Yes | Identifies the section as Social History. Value: 29762-2 |
| `entry[] (Composition).resource.section[] (SocialHistory).text` | object | No | A human-readable narrative that contains the attested content of the section, used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. |
| `entry[] (Composition).resource.section[] (SocialHistory).text.status` | string | Yes | The status of the narrative - whether it's entirely generated (from just the defined data or the extensions too), or whether a human authored it and it may contain additional data. Possible values: generated, extensions, additional, empty |
| `entry[] (Composition).resource.section[] (SocialHistory).text._status` | object | Yes | This element contains extensions for `status`. Depending on the extensions present it could be used in place of `status` or contain additional information about `status`. See the `extension` element for more details on the possible extensions being sent. |
| `entry[] (Composition).resource.section[] (SocialHistory).text._status.extension` | Array of DataAbsentReason or Other | No | May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (Composition).resource.section[] (SocialHistory).text._status.extension[] (DataAbsentReason).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: http://hl7.org/fhir/StructureDefinition/data-absent-reason |
| `entry[] (Composition).resource.section[] (SocialHistory).text._status.extension[] (DataAbsentReason).valueCode` | string | Yes | The reason a required field is missing. Possible values: unknown, asked-unknown, temp-unknown, not-asked, asked-declined, masked, not-applicable, unsupported, as-text, error, not-a-number, negative-infinity, positive-infinity, not-performed, not-permitted |
| `entry[] (Composition).resource.section[] (SocialHistory).text._status.extension[] (Other)` | Boolean or String or CodeableConcept or Coding or HumanName or Reference | No |  |
| `entry[] (Composition).resource.section[] (SocialHistory).text._status.extension[] (Other) (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (SocialHistory).text._status.extension[] (Other) (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (SocialHistory).text._status.extension[] (Other) (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (SocialHistory).text._status.extension[] (Other) (String).valueString` | string | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (SocialHistory).text._status.extension[] (Other) (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (SocialHistory).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (SocialHistory).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Composition).resource.section[] (SocialHistory).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Composition).resource.section[] (SocialHistory).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Composition).resource.section[] (SocialHistory).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Composition).resource.section[] (SocialHistory).text._status.extension[] (Other) (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (SocialHistory).text._status.extension[] (Other) (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (SocialHistory).text._status.extension[] (Other) (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Composition).resource.section[] (SocialHistory).text._status.extension[] (Other) (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Composition).resource.section[] (SocialHistory).text._status.extension[] (Other) (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (SocialHistory).text._status.extension[] (Other) (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (SocialHistory).text._status.extension[] (Other) (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (Composition).resource.section[] (SocialHistory).text._status.extension[] (Other) (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (Composition).resource.section[] (SocialHistory).text._status.extension[] (Other) (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (Composition).resource.section[] (SocialHistory).text._status.extension[] (Other) (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (SocialHistory).text._status.extension[] (Other) (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (SocialHistory).text._status.extension[] (Other) (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Composition).resource.section[] (SocialHistory).text.div` | any | Yes | The actual narrative content, a stripped down version of XHTML. |
| `entry[] (Composition).resource.section[] (SocialHistory).entry` | Array of object | No | A reference to a discrete resource for the section Must reference one of the following types of resources: - `Observation` - `Observation` - `Observation` - `Observation` |
| `entry[] (Composition).resource.section[] (SocialHistory).entry[].reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Composition).resource.section[] (VitalSigns).title` | string | Yes | Human-readable name of section, e.g. `Vital Signs` |
| `entry[] (Composition).resource.section[] (VitalSigns).code` | object | Yes | LOINC code of `8716-3` programmatically identifying section as Vital Signs |
| `entry[] (Composition).resource.section[] (VitalSigns).code.coding` | Array of object | Yes | A discrete code |
| `entry[] (Composition).resource.section[] (VitalSigns).code.coding[].system` | string | Yes | http://loinc.org. Value: http://loinc.org |
| `entry[] (Composition).resource.section[] (VitalSigns).code.coding[].code` | string | Yes | Identifies the section as Vital Signs. Value: 8716-3 |
| `entry[] (Composition).resource.section[] (VitalSigns).text` | object | No | A human-readable narrative that contains the attested content of the section, used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. |
| `entry[] (Composition).resource.section[] (VitalSigns).text.status` | string | Yes | The status of the narrative - whether it's entirely generated (from just the defined data or the extensions too), or whether a human authored it and it may contain additional data. Possible values: generated, extensions, additional, empty |
| `entry[] (Composition).resource.section[] (VitalSigns).text._status` | object | Yes | This element contains extensions for `status`. Depending on the extensions present it could be used in place of `status` or contain additional information about `status`. See the `extension` element for more details on the possible extensions being sent. |
| `entry[] (Composition).resource.section[] (VitalSigns).text._status.extension` | Array of DataAbsentReason or Other | No | May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (Composition).resource.section[] (VitalSigns).text._status.extension[] (DataAbsentReason).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: http://hl7.org/fhir/StructureDefinition/data-absent-reason |
| `entry[] (Composition).resource.section[] (VitalSigns).text._status.extension[] (DataAbsentReason).valueCode` | string | Yes | The reason a required field is missing. Possible values: unknown, asked-unknown, temp-unknown, not-asked, asked-declined, masked, not-applicable, unsupported, as-text, error, not-a-number, negative-infinity, positive-infinity, not-performed, not-permitted |
| `entry[] (Composition).resource.section[] (VitalSigns).text._status.extension[] (Other)` | Boolean or String or CodeableConcept or Coding or HumanName or Reference | No |  |
| `entry[] (Composition).resource.section[] (VitalSigns).text._status.extension[] (Other) (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (VitalSigns).text._status.extension[] (Other) (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (VitalSigns).text._status.extension[] (Other) (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (VitalSigns).text._status.extension[] (Other) (String).valueString` | string | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (VitalSigns).text._status.extension[] (Other) (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (VitalSigns).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (VitalSigns).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Composition).resource.section[] (VitalSigns).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Composition).resource.section[] (VitalSigns).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Composition).resource.section[] (VitalSigns).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Composition).resource.section[] (VitalSigns).text._status.extension[] (Other) (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (VitalSigns).text._status.extension[] (Other) (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (VitalSigns).text._status.extension[] (Other) (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Composition).resource.section[] (VitalSigns).text._status.extension[] (Other) (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Composition).resource.section[] (VitalSigns).text._status.extension[] (Other) (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (VitalSigns).text._status.extension[] (Other) (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (VitalSigns).text._status.extension[] (Other) (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (Composition).resource.section[] (VitalSigns).text._status.extension[] (Other) (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (Composition).resource.section[] (VitalSigns).text._status.extension[] (Other) (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (Composition).resource.section[] (VitalSigns).text._status.extension[] (Other) (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Composition).resource.section[] (VitalSigns).text._status.extension[] (Other) (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (Composition).resource.section[] (VitalSigns).text._status.extension[] (Other) (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Composition).resource.section[] (VitalSigns).text.div` | any | Yes | The actual narrative content, a stripped down version of XHTML. |
| `entry[] (Composition).resource.section[] (VitalSigns).entry` | Array of object | No | A reference to a discrete resource for the section Must reference one of the following types of resources: - `Observation` - `Observation` |
| `entry[] (Composition).resource.section[] (VitalSigns).entry[].reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Composition).resource.section[] (Other).title` | string | Yes | The label for this particular section.  This will be part of the rendered content for the document, and is often used to build a table of contents. |
| `entry[] (Composition).resource.section[] (Other).code` | object | Yes | A code identifying the kind of content contained within the section. This must be consistent with the section title. |
| `entry[] (Composition).resource.section[] (Other).code.id` | string | No | A sequence of Unicode characters |
[...]
